XAMPP 1.8.0 fix phpmyadmin after upgrade

A few days ago came out XAMPP 1.8.0 After upgrading from version 1.7.7 I had a pretty interesting problem. Phpmyadmin-not my opening and izg″rmâvaše with 403

Access forbidden!

New XAMPP security concept:

Access to the requested object is only available from the local network.

This setting can be configured in the file “httpd-xampp.conf”.

Now I opened the httpd-conf xampp which to me ... is located in the/opt/lampp/etc/extra/, at first glance, everything seemed fine. The rules for the local network were fine. Apart from that I'd open the localhost. WTF ??? I looked at the log and see that my access is cut off by konfiguaciâta. Here things already ahnaha me and frankly kind of a little bit of luck I found problem. After going through httpd.conf-and saw in Allow / Deny clauses one last order Require all granted. Oh to Eureka. This is the new control mechanism which entered into apache 2.4.x. It gives access or refusing such all fine, basically imitated Allow/Deny functionality :). To fix the problem add Require all granted directives for the folder / opt / lampp / phpmyadmin. After the changes in me looks like this

<Directory “/opt / lampp / phpmyadmin”>
AllowOverride AuthConfig Limit
Order allow,deny
Allow from all
Require all granted


You can always try another divoti, for example, to rename the folder phpmyadmin something other and do not alias to. But it's ugly and not very meaningful 🙂

p. s Asked me why I use XAMPP and not clean installation of all components as it is my Debian was born – The answer is very simple – laziness. Lazy me to write a few commands then touched his konfovete etc.. Much easier is hitting the whole package and unzip you light 😉

Enhanced by Zemanta

leave a reply

Your email address will not be published. Required fields are marked *

anti SPAM *